Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005661 [JEDI VCL] 00 JVCL Components minor always 2011-09-24 14:07 2012-09-10 14:15
Reporter Richard Winston View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005661: JvChartDemo doesn't work properly due to bugs in TJvChart and demo form.
Description 1. In JvChartDemo if you select "Demo|Show Data in listbox", the listbox appears but is empty. The problem can be traced to FDataAlloc never being set in TJvChartData.Grow. Adding the following to the end of TJvChartData.Grow fixes the problem.
  
  FCataAlloc = Length(FData);

2. In JvChartDemo if you click on the "SpeedButtonTestMouseOver" and then on the speed button for any of the chart types, an exception is raised. The problem can be fixed by adding the following line near the beginning of TJvChartDemoForm.NewValues.

  Chart.Options.PenCount := 3;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019523)
obones (administrator)
2012-02-24 11:09

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-09-24 14:07 Richard Winston New Issue
2011-10-07 16:06 obones Status new => acknowledged
2012-02-24 11:09 obones Note Added: 0019523
2012-02-24 11:09 obones Status acknowledged => resolved
2012-02-24 11:09 obones Fixed in Version => Daily / SVN
2012-02-24 11:09 obones Resolution open => fixed
2012-02-24 11:09 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker